import { PopperOptions } from 'popper.js';
import { IRequiredElements } from './ui-update-scheduler';
export default class UI {
    private readonly attrPrefix;
    private highlight;
    private popper?;
    private popup?;
    private target?;
    toggleBodyAttr(on?: boolean): void;
    sanitizeTarget(): void;
    setTarget(target: HTMLElement, options: {
        positioned: boolean;
        clickable: boolean;
        focus: boolean;
    }): void;
    unsetTarget(): void;
    sanitizeHighlight(): void;
    setHightlight(options: {
        parent: Element;
    }): void;
    unsetHighlight(): void;
    toggleHightlight(show?: boolean): void;
    setPopup(options: {
        popperRef: 'highlight-box' | 'highlight-target';
        popperOptions?: PopperOptions;
    }): void;
    unsetPopup(): void;
    togglePopup(show?: boolean): void;
    getUpdateSchedulerRequiredElements(): IRequiredElements;
    /**
     * Toggles multiple attributes on element.
     *
     * **Usage:**
     * ```typescript
     * toggleAttrs(element, {
     *   'data-show': true, // Sets a data-show attribute to element
     *   'data-hide': false, // Removes data-hide attribute to element
     * })
     * ```
     */
    private toggleAttrs;
}
